LINUX.ORG.RU

не собирается OpenRA engine

 , ,


0

1

Всех с Пасхой!

Хочу поставить это https://github.com/OpenRA/d2

На сборке вываливается это

[root@localhost d2-master]# make
OpenRA engine version 725ef62 is required.
Downloading engine...
Compiling engine...
make[1]: Entering directory '/home/deepforest/Завантажене/DUNE_II/d2-master/engine'
make[1]: Leaving directory '/home/deepforest/Завантажене/DUNE_II/d2-master/engine'
make[1]: Entering directory '/home/deepforest/Завантажене/DUNE_II/d2-master/engine'
Fetching ICSharpCode.SharpZipLib from NuGet
Fetching MaxMind.Db from NuGet
Fetching NUnit from NuGet
Fetching NUnit.Console from NuGet
Fetching Open.Nat from NuGet
Fetching FuzzyLogicLibrary from NuGet.
Fetching SDL2-CS from GitHub.
Fetching OpenAL-CS from GitHub.
Fetching Eluant from GitHub.
Fetching rix0rrr.BeaconLib from NuGet.
/bin/sh: msbuild: command not found
make[1]: *** [Makefile:174: cli-dependencies] Error 127
make[1]: Leaving directory '/home/deepforest/Завантажене/DUNE_II/d2-master/engine'
make: *** [Makefile:106: engine-dependencies] Error 2
[root@localhost d2-master]# 

Deleted

msbuild не ставится

[root@localhost Завантажене]# dnf install msbuild-16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch.rpm
Last metadata expiration check: 0:38:48 ago on Sun 19 Apr 2020 08:55:43 PM EEST.
Error: 
 Problem: conflicting requests
  - nothing provides mono(System) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Collections.Concurrent) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.ComponentModel.Annotations) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.ComponentModel.EventBasedAsync) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Configuration) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Configuration.Install) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Data) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Diagnostics.Tracing) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Dynamic.Runtime) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Linq.Expressions) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Management) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Net.NetworkInformation) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.ObjectModel) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Runtime.Serialization.Primitives) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Runtime.Serialization.Xml) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Security) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.ServiceModel.NetTcp) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Text.RegularExpressions) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Text.RegularExpressions) = 4.0.10.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Threading.Tasks) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Web) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Xml) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Xml.XDocument) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(System.Xml.XmlSerializer) = 4.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides mono(mscorlib) = 2.0.0.0 needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
  - nothing provides msbuild-libhostfxr needed by msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.noarch
(try to add '--skip-broken' to skip uninstallable packages)
[root@localhost Завантажене]#
[root@localhost Завантажене]# dnf install msbuild-16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.src.rpm 
Last metadata expiration check: 0:41:07 ago on Sun 19 Apr 2020 08:55:43 PM EEST.
Error: Will not install a source rpm package (msbuild-1:16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.src).
[root@localhost Завантажене]# 
Deleted ()
Ответ на: комментарий от anonymous

кажецо пошло, удалил штатный моно, теперь ставиццо этот

rpm --import "https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF"
su -c 'curl https://download.mono-project.com/repo/centos8-stable.repo | tee /etc/yum.repos.d/mono-centos8-stable.repo'
dnf update
dnf install -y msbuild
Deleted ()
Ответ на: комментарий от Samamy

теперь такое

[root@localhost d2-master]# make
make[1]: Entering directory '/home/deepforest/Завантажене/DUNE_II/d2-master/engine'
  It was not possible to find any installed dotnet SDKs
  Did you mean to run dotnet SDK commands? Please install dotnet SDK from:
      https://aka.ms/dotnet-download
  It was not possible to find any installed dotnet SDKs
  Did you mean to run dotnet SDK commands? Please install dotnet SDK from:
      https://aka.ms/dotnet-download
  Restore completed in 2.69 sec for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Mods.D2k/OpenRA.Mods.D2k.csproj.
  Restore completed in 8.46 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Test/OpenRA.Test.csproj.
  Restore completed in 5.02 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Mods.Common/OpenRA.Mods.Common.csproj.
  Restore completed in 4.07 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Server/OpenRA.Server.csproj.
  Restore completed in 3.8 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Utility/OpenRA.Utility.csproj.
  Restore completed in 2.75 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.PostProcess/OpenRA.PostProcess.csproj.
  Restore completed in 3.46 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Platforms.Default/OpenRA.Platforms.Default.csproj.
  Restore completed in 4.21 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Mods.Cnc/OpenRA.Mods.Cnc.csproj.
  Restore completed in 2.67 ms for /home/deepforest/Завантажене/DUNE_II/d2-master/engine/OpenRA.Game/OpenRA.Game.csproj.
Updating GeoIP country database from MaxMind.
make[1]: *** [Makefile:194: geoip-dependencies] Error 6
make[1]: Leaving directory '/home/deepforest/Завантажене/DUNE_II/d2-master/engine'
make: *** [Makefile:106: engine-dependencies] Error 2
[root@localhost d2-master]# 

Deleted ()
Ответ на: комментарий от Deleted

Ну так же написано что нужен dotnet SDKs

It was not possible to find any installed dotnet SDKs
  Did you mean to run dotnet SDK commands? Please install dotnet SDK from:
      https://aka.ms/dotnet-download
  It was not possible to find any installed dotnet SDKs
  Did you mean to run dotnet SDK commands? Please install dotnet SDK from:
      https://aka.ms/dotnet-download

https://docs.microsoft.com/ru-ru/dotnet/core/install/linux-package-manager-fedora31

Samamy ★★ ()
Последнее исправление: Samamy (всего исправлений: 1)
Ответ на: комментарий от abcq

собралось с такой ошибкой

[deepforest@localhost d2-master]$ make
make[1]: Entering directory '/home/deepforest/Завантажене/d2-master/engine'
Updating GeoIP country database from MaxMind.
make[1]: *** [Makefile:194: geoip-dependencies] Error 6
make[1]: Leaving directory '/home/deepforest/Завантажене/d2-master/engine'
make: *** [Makefile:106: engine-dependencies] Error 2
[deepforest@localhost d2-master]$ 

запускается но мода дюна2 нету в списке

Deleted ()
Ответ на: комментарий от Deleted

что-то у вас все плохо совсем. У меня вроде все ок.

$ snap download --stable openra
Fetching snap "openra"
openra                                                                                                               83%
Fetching snap "openra"
Fetching assertions for "openra"
Install the snap with:
   snap ack openra_216.assert
   snap install openra_216.snap
sudo snap ack openra_216.assert
sudo snap install openra_216.snap
ls /snap/bin/
openra.cnc
openra.d2k
openra.ra

вам сначала надо разобраться со snap’ом видимо. Он у вас точно нормально установлен и работоспособен?

там еще кстати для Дюны понадобятся оригинальные диски или хотя бы из образа или просто файлы.

abcq ★★ ()
Последнее исправление: abcq (всего исправлений: 2)
Ответ на: комментарий от abcq

Снеп заработал. Я хотел запустить модификацию для openra - dune2, ссылка в шапке темы. Если ставить опенра из снапа то эту модификацию вообще не приделать. Авторы дюны2 для опенра советуют собирать. Но на деле как всегда все оказывается сыро и криво.

Deleted ()
Ответ на: комментарий от Deleted

openra.d2k

А это что тогда?

Если вы хотите прямо наиболее похожую дюну на то, что было на dos и sega есть проект dune legagy, он по сути и является свободным движком который использует оригинальные файлы из dos версии игры.

abcq ★★ ()
Последнее исправление: abcq (всего исправлений: 1)
Ответ на: комментарий от abcq

Посмотрел что вы дали, да это и есть какая-то вариация на тему старой Dune II, проще взять Dune Legacy. Но если все же хочется собрать этот мод, для начала соберите сам движок, потом уже мод соберется без проблем думаю. Для сборки под linux там mono должно быть не ниже 5.18 как что скорее всего его тоже придется ставить с репозиториев самого проекта, а не с тех которые идут у вашего дистрибутива. Вообще вот почитайте https://github.com/OpenRA/OpenRA/blob/bleed/INSTALL.md

abcq ★★ ()

Помню, собирал Unreal Engine 4, а компиляция в определённый момент падала. Происходило это из-за того, что в пути к исходникам была кириллица. Возможно, что и тут та же ситуация.

anonymous ()
Ответ на: комментарий от abcq

openra.d2k А это что тогда?

Говорилось, что они что-то оттуда берут

Если вы хотите прямо наиболее похожую дюну на то, что было на dos и sega есть проект dune legagy, он по сути и является свободным движком который использует оригинальные файлы из dos версии игры.

В dune 2 legaсy много багов и недочетов.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от abcq

для начала соберите сам движок

[deepforest@localhost d2-master]$ make
make[1]: Entering directory '/home/deepforest/Завантажене/d2-master/engine'
Updating GeoIP country database from MaxMind.
make[1]: *** [Makefile:194: geoip-dependencies] Error 6
make[1]: Leaving directory '/home/deepforest/Завантажене/d2-master/engine'
make: *** [Makefile:106: engine-dependencies] Error 2
[deepforest@localhost d2-master]$ 

Для сборки под linux там mono должно быть не ниже 5.18 как что скорее всего его тоже придется ставить с репозиториев самого проекта, а не с тех которые идут у вашего дистрибутива.

Name         : mono-core
Version      : 5.20.1
Release      : 2.fc31
Architecture : i686
Size         : 16 M
Source       : mono-5.20.1-2.fc31.src.rpm
Repository   : updates
Summary      : The Mono CIL runtime, suitable for running .NET code
URL          : http://www.mono-project.com
License      : MIT
Description  : This package contains the core of the Mono runtime including its
             : Virtual Machine, Just-in-time compiler, C# compiler, security
             : tools and libraries (corlib, XML, System.Security, ZipLib,
             : I18N, Cairo and Mono.*).

Name         : mono-devel
Version      : 5.20.1
Release      : 2.fc31
Architecture : i686
Size         : 5.8 M
Source       : mono-5.20.1-2.fc31.src.rpm
Repository   : updates
Summary      : Development tools for Mono
URL          : http://www.mono-project.com
License      : MIT
Description  : This package completes the Mono developer toolchain with the mono profiler,
             : assembler and other various tools.

rpm --import "https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF"
su -c 'curl https://download.mono-project.com/repo/centos8-stable.repo | tee /etc/yum.repos.d/mono-centos8-stable.repo'
dnf update
dnf install -y msbuild
[deepforest@localhost d2-master]$ dnf info msbuild
Fedora Modular 31 - x86_64                                                             2.1 MB/s | 5.2 MB     00:02    
Fedora Modular 31 - x86_64 - Updates                                                   1.9 MB/s | 4.0 MB     00:02    
Fedora 31 - x86_64 - Updates                                                           5.6 MB/s |  24 MB     00:04    
Fedora 31 - x86_64                                                                     4.3 MB/s |  71 MB     00:16    
RPM Fusion for Fedora 31 - Free - Updates                                              815 kB/s | 423 kB     00:00    
RPM Fusion for Fedora 31 - Free                                                        1.2 MB/s | 663 kB     00:00    
RPM Fusion for Fedora 31 - Nonfree - Updates                                           103 kB/s |  69 kB     00:00    
RPM Fusion for Fedora 31 - Nonfree                                                     491 kB/s | 241 kB     00:00    
Last metadata expiration check: 0:00:01 ago on Mon 20 Apr 2020 05:32:39 PM EEST.
Installed Packages
Name         : msbuild
Epoch        : 1
Version      : 16.5+xamarinxplat.2020.01.10.05.36
Release      : 0.xamarin.2.epel8
Architecture : noarch
Size         : 47 M
Source       : msbuild-16.5+xamarinxplat.2020.01.10.05.36-0.xamarin.2.epel8.src.rpm
Repository   : @System
From repo    : mono-centos8-stable
Summary      : Build system for .NET projects
URL          : https://github.com/Microsoft/msbuild
License      : MIT
Description  : The Microsoft Build Engine is a platform for building applications.
             : This engine, which is also known as MSBuild, provides an XML schema
             : for a project file that controls how the build platform processes
             : and builds software. Visual Studio uses MSBuild, but MSBuild does
             : not depend on Visual Studio. By invoking msbuild.exe on your
             : project or solution file, you can orchestrate and build products
             : in environments where Visual Studio isn't installed.

[deepforest@localhost d2-master]$ 

Deleted ()
Последнее исправление: Deleted (всего исправлений: 2)
Ответ на: комментарий от Deleted

В dune 2 legaсy много багов и недочетов.

хм.. интересно каких. DL куда более зрелый проект чем этот мод. Лично играл в нее никаких багов у меня не было. Сетевой режим там да, сыроват был года два назад, как сейчас не знаю. В сингле ни одного бага не встретил за прохождение компании и случайные карты.

Говорилось, что они что-то оттуда берут

ну я так понял это dune2000 реализация движка, в принципе там графика новая была вроде и возможность выделения мышкой, но все эти фишки были добавлены и в DL

abcq ★★ ()
Ответ на: комментарий от Deleted

make[1]: *** [Makefile:194: geoip-dependencies] Error 6 make: *** [Makefile:106: engine-dependencies] Error 2

ну так гляньте во что оно там упирается в этих строчках или хотя бы покажите этот мейкфаил будет проще понять что там может быть хотя бы приблизительно.

abcq ★★ ()
Ответ на: комментарий от abcq

хм.. интересно каких. DL куда более зрелый проект чем этот мод. Лично играл в нее никаких багов у меня не было. Сетевой режим там да, сыроват был года два назад, как сейчас не знаю. В сингле ни одного бага не встретил за прохождение компании и случайные карты.

Ясно спасибо за информацию. Я начал кампанию недавно, все ок. Потом полез читать их форум и там начитался - будет ли дальнейшая поддержка? исправление сложности? А так dune 2 legaсy понравился.

Deleted ()
Ответ на: комментарий от abcq

make[1]: *** [Makefile:194: geoip-dependencies] Error 6

про єто вот такое нашел, но не понял, что єто https://github.com/OpenRA/d2/issues/170

[Makefile:106: engine-dependencies] Error 2

а про єто такое, и тоже не понял єто баг и как єто преодолеть https://github.com/OpenRA/OpenRA/issues/16070

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от Deleted

Так там же все написано, хотя вы могли это и сами понять из ошибок сборки, make вам говорит что в файле Makefile который передается в качестве сборочного файла make на строке 106 и строке 194 происходят ошибки.

Вы должны были открыть этот Makefile и посмотреть на стоку 106 и 194. В 106 строке вы увидите вот это


@echo "Checking runtime assemblies..."
	@mono --debug OpenRA.Utility.exe all --check-runtime-assemblies $(WHITELISTED_OPENRA_ASSEMBLIES) $(WHITELISTED_THIRDPARTY_ASSEMBLIES) $(WHITELISTED_CORE_ASSEMBLIES)

тут сборочный скрипт вызывает поно и пытается получить дебажную сборку OpenRA.Utility.exe вам это ничего особо не дает поэтому смотрите дальше

На стоке 194 вы обнаружите это


geoip-dependencies:
	@./thirdparty/fetch-geoip-db.sh
	@ $(CP) thirdparty/download/GeoLite2-Country.mmdb.gz .

а вот и ваш скриптец который находится в корне исходных текстов в папочке thirdparty который и должен скачивать GeoLite2-Country.mmdb.gz в папочку thidparty/download и потом копировать его в корень исходных тестов. Вот этот скрипт


#!/bin/sh

# Die on any error for Travis CI to automatically retry:
set -e

download_dir="${0%/*}/download"
mkdir -p "${download_dir}"
cd "${download_dir}" || exit 1

filename="GeoLite2-Country.mmdb.gz"

# Database does not exist or is older than 30 days.
if [ ! -e $filename ] || [ -n "$(find . -name $filename -mtime +30 -print)" ]; then
	rm -f $filename
	echo "Updating GeoIP country database from MaxMind."
	if command -v curl >/dev/null 2>&1; then
		curl -s -L -O http://geolite.maxmind.com/download/geoip/database/$filename
	else
		wget -cq http://geolite.maxmind.com/download/geoip/database/$filename
	fi
fi

как и написано тут https://github.com/OpenRA/d2/issues/170 сейчас это не работает потому что теперь нет возможности по прямой ссылке скачать этот архив, т.к. maxmind.com закрыли доступ по прямой ссылке и теперь надо регистрироваться на сайте и вроде как после этого можно скачать эту базу данных. Но делатель этого мода хер ложил с прибором на поддержку своего мода и поэтому скрипт выше в том состоянии что он был и остался.

Собственно путь решения это как я вам и раньше говорил это взять актуальную версию движка openra и самостоятельно перенести сборку на него. Для начала можно просто попробовать подменить движок на актуальную версию и надеяться что все соберется без лишних разбирательств

Второй вариант это попробовать найти этот GeoLite2-Country.mmdb.gz архив в сети и подложить его в корень исходных текстов.

Третий вариант закоментировать сборку


106 @mono --debug OpenRA.Utility.exe 

которая по зависимостям требует этот архив и надееться что она не особо нужна для работоспособности игры :)

Вариант четыре. Это попробовать посмотреть что из себя представляет актуальное дерево исходных кодов движка openra. И его Makefile сборки. Я уже это сделал за вас там есть следующее:


@$(INSTALL_DATA) IP2LOCATION-LITE-DB1.IPV6.BIN.ZIP "$(DATA_INSTALL_DIR)/IP2LOCATION-LITE-DB1.IPV6.BIN.ZIP"

это скорей всего и есть эта база ip адресов и локаций расположения этих ip адресов, так же теперь скрипт скачивающий эту базу (которая доступна по прямой ссылке, кто бы мог подумать) лежит прямо в корне исходных текстов актуальной версии движка openra, скрипт называется fetch-geoip.sh и имеет следующее содержание:


#!/bin/sh
# Download the IP2Location country database for use by the game server

####
# This file must stay /bin/sh and POSIX compliant for macOS and BSD portability.
# Copy-paste the entire script into http://shellcheck.net to check.
####

# Set the working directory to the location of this script
cd "$(dirname "$0")" || exit 1

# Database does not exist or is older than 30 days.
if [ -z "$(find . -path ./IP2LOCATION-LITE-DB1.IPV6.BIN.ZIP -mtime -30 -print)" ]; then
	rm -f IP2LOCATION-LITE-DB1.IPV6.BIN.ZIP
	echo "Downloading IP2Location GeoIP database."
	if command -v curl >/dev/null 2>&1; then
		curl -s -L -O https://download.ip2location.com/lite/IP2LOCATION-LITE-DB1.IPV6.BIN.ZIP || echo "Warning: Download failed"
	else
		wget -cq https://download.ip2location.com/lite/IP2LOCATION-LITE-DB1.IPV6.BIN.ZIP || echo "Warning: Download failed"
	fi
fi

он вам и скачает это архив. В общем вы можете попробовать скачать этот архив IP2LOCATION-LITE-DB1.IPV6.BIN.ZIP и пережать его в GeoLite2-Country.mmdb.gz а потом подсунуть ручками в корень дерева исходных кодов движка openra того мода и попробовать снова запустить, но перед запуском закомментировать 194 195 строки чтобы, после этого сборка пройдет успешно и вы получите свои бинарники:


  OpenRA.PostProcess -> /d2/engine/OpenRA.PostProcess.exe
  OpenRA.Game -> /d2/engine/OpenRA.Game.exe
  Post-processing /d2/engine/OpenRA.Game.exe
   - Enabling /LARGEADDRESSAWARE
  OpenRA.Mods.Common -> /d2/engine/mods/common/OpenRA.Mods.Common.dll
  OpenRA.Mods.Cnc -> /d2/engine/mods/common/OpenRA.Mods.Cnc.dll
  OpenRA.Utility -> /d2/engine/OpenRA.Utility.exe
  Post-processing /d2/engine/OpenRA.Utility.exe
   - Enabling /LARGEADDRESSAWARE
  OpenRA.Server -> /d2/engine/OpenRA.Server.exe
  Post-processing /d2/engine/OpenRA.Server.exe
   - Enabling /LARGEADDRESSAWARE
  OpenRA.Mods.D2k -> /d2/engine/mods/d2k/OpenRA.Mods.D2k.dll
  OpenRA.Platforms.Default -> /d2/engine/OpenRA.Platforms.Default.dll
  OpenRA.Test -> /d2/engine/OpenRA.Test.dll

и останется лишь подложить pak файлы оригинальной игры как это описано в README для мода, после этого по идее все должно работать.

abcq ★★ ()
Последнее исправление: abcq (всего исправлений: 2)
Ответ на: комментарий от abcq

Привет,

Спасибо за интерес к моду. Делаю набегами, иногда начинаешь делать потом упираешься в жутко негибкий движок и откладываешь на потом. поэтому мод давно не обновлялся, сейчас вроде обновил до последней версии OpenRA engine. и вроде как должно собираться и работать. C geo-ip вроде какие то проблемы у самого движка, думаю нужно подождать и обновить опять.

stalker_spirt ()